function handles = setSignalSelection(handles, groupChkRad)
% setSignalSelection 
%   setSignalSelection sets checkboxes for selection of data

%   Project: IMPACT
%   Title of Code: setSignalSelection
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

% set checkboxes for given groupChkRad
for m = 1:size(groupChkRad, 1)
    iGroup = groupChkRad(m, 1);
    iGroupSignal = groupChkRad(m, 2);
    iRad = groupChkRad(m, 3);
    
    % checkbox
    set(handles.checkbox(iGroup, iGroupSignal), 'Value', 1);
    handles.chkboxSelction(iGroup, iGroupSignal) = 1;

    % radius
    handles.radiusSelction(iGroup, iRad) = 1;
end
